@echo off
@setlocal

REM set JUP SERVICE HOME
set "APP_WRK_HOME=%~dp0"
set "APP_WRK_HOME=%APP_WRK_HOME:~0,-4%"

set "APP_NAME=EUREKA-SERVER"

REM find boot jar file path
for %%i in (%APP_WRK_HOME%/*.jar) do set BOOT_JAR=%%i

set "JAVACMD=%JAVA_HOME%/bin/java.exe"
REM set "JAVA_OPTS=%JAVA_OPTS% -Xms512m -Xmx512m"
set "JAVA_OPTS=%JAVA_OPTS% -Dlogging.path=%APP_WRK_HOME%"
set "JAVA_OPTS=%JAVA_OPTS% -Dlogging.file=%APP_WRK_HOME%/logs/application.log"
rem the file skywalking-agent.jar is used at the link to track.
rem When deploying, please follow the actural situation to modify the path or version and modify the agent.config configuration file in agent/config.
rem Please refer to the configuration document to modify the contents of the configuration item collector.backend_service in agent.config
rem set "JAVA_OPTS=%JAVA_OPTS% -javaagent:d:/jup/services/JavaUnifiedPlatform_APM_Center_0.4-RELEASE/agent/skywalking-agent.jar"
rem set "JAVA_OPTS=%JAVA_OPTS% -DSW_AGENT_NAME=HK-BUSINESS"
set "JAVA_OPTS=%JAVA_OPTS% -server -Djava.net.preferIPv4Stack=true -Duser.timezone=Asia/Shanghai -Dclient.encoding.override=GBK -Dfile.encoding=GBK"
set "JAVA_OPTS=%JAVA_OPTS% -XX:+HeapDumpOnOutOfMemoryError"

REM execute
start "%APP_NAME%" "%JAVACMD%" %JAVA_OPTS% -jar %BOOT_JAR%